Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225857 - Merge Review: grep
Summary: Merge Review: grep
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
urgent
medium
Target Milestone: ---
Assignee: Ruben Kerkhof
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:58 UTC by Nobody's working on this, feel free to take it
Modified: 2018-04-11 12:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-23 12:33:38 UTC
ruben: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:58:27 UTC
Fedora Merge Review: grep

http://cvs.fedora.redhat.com/viewcvs/devel/grep/
Initial Owner: skasal@redhat.com

Comment 1 Ruben Kerkhof 2007-02-03 17:19:48 UTC
* RPM name is OK
* Source grep-2.5.1a.tar.bz2 is the same as upstream
* This is the latest version
* Builds fine in mock

Needs work:
* BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  (wiki: PackagingGuidelines#BuildRoot)
* BuildRequires: gzip should not be included
  (wiki: PackagingGuidelines#Exceptions)
* Encoding should be UTF-8
* Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)
* The %makeinstall macro should not be used
  (wiki: PackagingGuidelines#MakeInstall)
* The package should contain the text of the license
  (wiki: Packaging/ReviewGuidelines)
* Don't use PreReq for install-info, use Requires(post) and Requires(postun)
* Please don't strip symbols from files (LDFLAGS= -s)

Rpmlint is not silent:
Source RPM:
W: grep summary-ended-with-dot The GNU versions of grep pattern matching utilities.
E: grep tag-not-utf8 %changelog
E: grep non-utf8-spec-file grep.spec
W: grep prereq-use /sbin/install-info
W: grep make-check-outside-check-section make check
W: grep macro-in-%changelog post

rpmlint of grep:
W: grep summary-ended-with-dot The GNU versions of grep pattern matching utilities.
E: grep tag-not-utf8 %changelog


Comment 2 Matěj Cepl 2007-03-14 21:35:54 UTC
Štěpáne, you shouldn't be ASSIGNed to this bug (see
http://fedoraproject.org/wiki/PackageReviewProcess), reviewer should. Ruben, if
you have Fedora account, take over this bug please.

Comment 3 Ruben Kerkhof 2007-03-15 17:35:36 UTC
Ok,

Štěpáne, can you please fix the issues in comment #1?

Comment 4 Stepan Kasal 2007-04-20 17:50:32 UTC
I apologize for the huge delay.

Fixed.  I hope I have not missed something.

Comment 5 Ruben Kerkhof 2007-04-20 22:20:04 UTC
I don't see any further blockers, so this package is approved.

Comment 6 Stepan Kasal 2007-04-23 12:33:38 UTC
Thank you for the review!


Note You need to log in before you can comment on or make changes to this bug.